#!/bin/bash

# remove old app
rm -rf Gigalomania.app
rm Gigalomania_MacOS.zip

# create directories
mkdir Gigalomania.app
mkdir Gigalomania.app/Contents
mkdir Gigalomania.app/Contents/MacOS
mkdir Gigalomania.app/Contents/Resources


# copy binary
cp gigalomania Gigalomania.app/Contents/MacOS

# copy neccessary libs
cp /opt/local/lib/libSDL-1.2.0.dylib Gigalomania.app/Contents/MacOS
cp /opt/local/lib/libSDL_image-1.2.0.dylib Gigalomania.app/Contents/MacOS
cp /opt/local/lib/libSDL_gfx.13.dylib Gigalomania.app/Contents/MacOS
cp /opt/local/lib/libSDL_mixer-1.2.0.dylib Gigalomania.app/Contents/MacOS

cp /opt/local/lib/libpng14.14.dylib Gigalomania.app/Contents/MacOS
cp /opt/local/lib/libtiff.3.dylib Gigalomania.app/Contents/MacOS
cp /opt/local/lib/libjpeg.8.dylib Gigalomania.app/Contents/MacOS

cp /opt/local/lib/libmikmod.3.dylib Gigalomania.app/Contents/MacOS
cp /opt/local/lib/libvorbisfile.3.dylib Gigalomania.app/Contents/MacOS
cp /opt/local/lib/libvorbis.0.dylib Gigalomania.app/Contents/MacOS
cp /opt/local/lib/libFLAC.8.dylib Gigalomania.app/Contents/MacOS
cp /opt/local/lib/libogg.0.dylib Gigalomania.app/Contents/MacOS
cp /opt/local/lib/libsmpeg-0.4.0.dylib Gigalomania.app/Contents/MacOS


# change search paths:
#install_name_tool -change /opt/local/lib/libSDL-1.2.0.dylib @executable_path/libSDL-1.2.0.dylib Gigalomania.app/Contents/MacOS/gigalomania

for file in Gigalomania.app/Contents/MacOS/*
do

	if [ -d ${file} ]; then
		echo ${file} is a directory
		continue
	fi

	for dylib in Gigalomania.app/Contents/MacOS/*.dylib
	do
		#rip path from library
		base=${dylib##*/}
		
		install_name_tool -change /opt/local/lib/${base} @executable_path/${base} ${file}
	done
done


# copy game data
for dir in gfx islands sound
do
	cp -R ${dir} Gigalomania.app/Contents/MacOS
done


# copy bundle stuff
cp appstuff/Info.plist Gigalomania.app/Contents
cp appstuff/icon1.icns Gigalomania.app/Contents/Resources
cp appstuff/gigalomania.launcher.sh Gigalomania.app/Contents/MacOS
chmod +x Gigalomania.app/Contents/MacOS/gigalomania.launcher.sh

# Zip for transport:
zip -rq Gigalomania_MacOS.zip Gigalomania.app/
